# SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
# SPDX-License-Identifier: Apache-2.0
---
cluster:
  service:
    # Based on the available Implementations of your cluster, choose the type of Service.
    # Choose out of "ClusterIP", "NodePort" or "LoadBalancer.
    type: "LoadBalancer"

  networking:
    # Kubernetes internal cluster domain.
    domain: "cluster.local"
    # Kubernetes cluster network CIDR.
    cidr: "10.0.0.0/8"
    # Your local nodes IPv4 CIDR.
    ipv4RoutingCIDR: ""
    # Your local nodes IPv6 CIDR.
    ipv6RoutingCIDR: ""
    # Ingress-gateway IP - only relevant for "NodePort" cluster services.
    # When ingress and egress gateway use different ips, which results that pods can't self-discover their incoming ip,
    # you need to provide the public (load-balanced) ingress gateways ip address.
    ingressGatewayIP: ""
    # LoadBalancer status fiel - only relevant for "LoadBalancer" cluster services.
    # The IP/DNS of your load-balancer will be fetched for some components from 'status' map of services.
    # Most providers use '.status.loadBalancer.ingress[0].ip' to store public ip. You can modify the chosen field here.
    loadBalancerStatusField: "ip"

  api:
    # Kubernetes API domain
    domain: 10.233.0.1

    # Kubernetes API port
    port: 443

  container:
    # Used container engine in kubernetes cluster.
    engine: "cri-o"
...
